/***************************************************************************
                          baddata_exception.h  -  description
                             -------------------
    begin                : Thu Jan 16 2003
    copyright            : (C) 2003 by Oleksiy Kohany
    email                : kohany@girinst.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef BADFILENAME_EXCEPTION_H
#define BADFILENAME_EXCEPTION_H

#include <exception>
#include <string>
/**
  *@author Oleksiy Kohany
  */

using namespace std;
  
class badfilename_exception : public exception  {
public: 
	badfilename_exception(const char* descr) throw() {
		sWhat = descr;
	}
	virtual ~badfilename_exception() throw(){}
  /** No descriptions */
  virtual const char* what() const throw(){
		return sWhat.c_str();
	}
private: // Private attributes
  /**  */
  string sWhat;
};

#endif
