/***************************************************************************
                          badsymbol_exception.h  -  description
                             -------------------
    begin                : Tue Dec 17 2002
    copyright            : (C) 2002 by Oleksiy Kohany
    email                : kohany@girinst.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef BADSYMBOL_EXCEPTION_H
#define BADSYMBOL_EXCEPTION_H

#include <exception>
#include <string.h>

using namespace std;

/**
  *@author Oleksiy Kohany
  */

#define WHATSIZE 100

class badsymbol_exception : public exception {
public: 
	badsymbol_exception() throw() {
    strcpy(sWhat, "Bad symbol ");
  }
	badsymbol_exception(char c) {
    strcpy(sWhat, "Bad symbol ");
    strncat(sWhat, &c, 1);
  }
	virtual ~badsymbol_exception() throw() {
  }
  /** No descriptions */
  virtual const char* what() const throw() {
    return sWhat;
  }
private: // Private attributes
  /**  */
  char sWhat[WHATSIZE];
};

#endif
